<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>
      Get Instant Access to 50 FREE Woodworking Plans
    </title>
    <meta name="description" content="Get Instant Access to 50 FREE Woodworking Plans">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap" rel="stylesheet">

    <style>
      h1,
      h2,
      h3,
      h4,
      h5,
      h6,
      p,
      a,
      input,
      button,
      label {
        font-family: 'Roboto', sans-serif;
      }
      body {
        background-color: #fff;
      }
      header {
        padding: 15px 0 30px;
        text-align: center;
        background: rgb(240, 240, 240);
      }
      header ul {
        list-style-type: none;
      }
      header ul li {
        padding: 0 32px;
      }
      header ul li a {
        font-size: 16px;
      }
      header .secondary-title {
        font-size: 24px;
        padding: 10px 0 15px;
        text-align: center;
        font-weight: 400;
      }
      header .primary-title {
        font-size: 42px;
        line-height: 50px;
        letter-spacing: -1px;
        color: rgb(198, 0, 0);
        text-align: center;
      }

      @media screen and (min-width: 768px) {
        header {
          padding: 24px 0;
        }
        header .secondary-title {
          font-size: 30px;
          padding: 50px 0 15px;
        }
        header .primary-title {
          line-height: 72px;
          font-size: 68px;
        }
      }

      .hero-section {
        padding: 30px 0;
      }
      .hero-section .top-content .left-content img {
        width: 100%;
        height: auto;
      }
      .hero-section .top-content .right-content .primary-text {
        font-size: 22px;
        padding: 0 0 25px;
      }
      .hero-section .top-content .right-content ul {
        list-style-type: none;
      }
      .hero-section .top-content .right-content li {
        background: url(./assets/tick-icon.png) 0 7px no-repeat;
        padding: 0 0 20px 30px;
        font-size: 18px;
      }
      .hero-section .bottom-content h6 {
        color: rgb(73, 73, 73);
        font-size: 18px;
        font-weight: 400;
        padding: 10px 0;
      }
      .hero-section .bottom-content img {
        max-width: 100%;
        height: auto;
      }
      .hero-section .bottom-content input[type=email] {
        margin: 0 0 15px;
        display: block;
        width: 100%;
        background: rgb(248,249,250);
        border: 1px solid rgb(183,216,209);
        height: 50px;
        font-size: 16px;
        color: #333;
        padding: 10px 15px;
      }
      .hero-section .bottom-content input[type=submit] {
        white-space: break-spaces;
        width: 100%;
        height: auto;
        font-size: 29px;
        border-radius: 0;
        padding: 13px;
        background-color: rgba(255, 155, 0, 0.97);
        margin: 0 0 12px;
        border: none;
        color: #fff;
        cursor: pointer;
        font-weight: 700;
      }
      .hero-section .bottom-content h5 {
        text-align: center;
        font-size: 12px;
        line-height: 19px;
        color: rgb(152, 152, 152);
        font-weight: 400;
        padding: 0 0 25px;
      }
      .hero-section .bottom-content .secondary-text {
        text-align: center;
        font-size: 11px;
        line-height: 18px;
      }
      @media screen and (min-width: 768px) {
        .hero-section {
          padding: 50px 0;
        }
        .hero-section .top-content .right-content .primary-text {
          text-align: center;
          font-size: 26px;
        }
        .hero-section .bottom-content input[type=submit] {
          height: 60px;
          font-size: 27px;
        }
        .hero-section .bottom-content h5 {
          font-size: 13px;
        }
        .hero-section .bottom-content .secondary-text {
          font-size: 14px;
          line-height: 20px;
        }
      }

      footer {
        padding: 40px 0;
        text-align: center;
      }
      footer .copyright {
        color: rgb(101, 101, 101);
        font-size: 12px;
        line-height: 22px;
      }
      footer p {
        padding: 20px 0 15px;
        color: rgb(101, 101, 101);
        font-size: 11px;
        line-height: 1.2em;
      }
      footer li {
        display: inline-block;
        vertical-align: top;
        padding: 0 3px 5px;
      }
      footer li a {
        text-decoration: underline;
        font-size: 14px;
        padding: 0 10px 0 0;
      }
      @media screen and (min-width: 768px) {
        footer .copyright {
          font-size: 13px;
          line-height: 22px;
        }
        footer p {
          font-size: 13px;
          line-height: 1.2em;
        }
      }

      .spin-wrapper {
        display: none;
        background-color: #fff3;
      }
      .spin-wrapper.show {
        display: flex;
      }
    </style>
  </head>
  <body>
    <header>
      <div class="container">
        <div class="row">
          <div class="col-12 d-flex justify-content-center align-items-center">
            <img src="./assets/logo.png" alt="Logo" width="183" height="45">
            <ul class="ms-auto my-0 d-none d-md-flex">
              <li>
                <a class="text-decoration-none text-uppercase text-dark" href="#" target="_blank">Home</a>
              </li>
              <li>
                <a class="text-decoration-none text-uppercase text-dark" href="./terms.html" target="_blank">Terms</a>
              </li>
              <li>
                <a class="text-decoration-none text-uppercase text-dark" href="./privacy.html" target="_blank">Privacy</a>
              </li>
            </ul>
          </div>
          <div class="col-12">
            <p class="secondary-title">ATTENTION WOODWORKERS:</p>
            <h1 class="primary-title">Get Instant Access To 50 FREE Woodworking Plans!</h1>
          </div>
        </div>
      </div>
    </header>

    <section class="hero-section">
      <div class="container">
        <div class="row top-content justify-content-center">
          <div class="col-12 col-md-4 left-content">
            <img src="./assets/img.png" alt="free woodworking plans">
          </div>
          <div class="col-12 col-md-6 right-content">
            <h3 class="primary-text text-center">Get 50 Woodworking Plans & a 440-Page Guide Book Absolutely FREE!</h3>
            <ul class="ps-0 ps-md-3">
              <li>Get access to 50 step-by-step woodworking plans</li>
              <li>Download "The Art of Woodworking" - A 440 page guide book</li>
              <li>Plus tons of tips, techniques, videos and guides for woodworkers</li>
              <li><strong>100% FREE.</strong> Simply enter your email below</li>
            </ul>
          </div>
        </div>
        <div class="row bottom-content justify-content-center">
          <div class="col-12 col-md-4 d-none d-md-block">
            <h6 class="text-center">DOWNLOAD YOUR PLANS NOW</h6>
            <img class="d-block mx-auto" src="./assets/arrow-icon.png" alt="free plans" width="147" height="115">
          </div>
          <div class="col-12 col-md-6">
            <form class="form-subscribe" method="post" accept-charset="utf-8">
              <input type="email" name="email" placeholder="Enter your best email here" required>
              <input type="SUBMIT" value="YES! Send Me The Free Plans!">
              <h5><img src="./assets/lock-icon.png" alt="Lock" width="12" height="12"> I value your privacy and your information is never shared</h5>
              <p class="secondary-text">Note: The downloads will be sent to the email you submit above.<br> <strong>I never meant to share this</strong> so grab it before I change my mind.</p>
            </form>
          </div>
        </div>
      </div>
    </section>

    <footer>
      <div class="container">
        <div class="row">
          <div class="col-12 col-lg-6 mx-auto">
            <div class="copyright">© Copyright - TedsWoodworking.com. All rights reserved.<br> 2802 Flintrock Trace, Austin, TX, 78738, US</div>
            <p>This site is not part of the Facebook website or Facebook Inc. Additionally, this site is NOT endorsed by Facebook in any way. FACEBOOK is a trademark of FACEBOOK, Inc. The pinions and or views expressed from here are not representative of Facebook, Inc.</p>
            <ul class="m-0 p-0">
              <li><a href="./privacy.html" target="blank">Privacy</a>-</li>
              <li><a href="./terms.html" target="_blank">​Terms</a></li>
            </ul>
          </div>
        </div>
      </div>
    </footer>

    <div class="spin-wrapper position-fixed top-0 start-0 w-100 h-100 justify-content-center align-items-center">
      <div class="spinner-border text-secondary" role="status">
        <span class="visually-hidden">Loading...</span>
      </div>
    </div>

    <script>
      function generateHeader() {
        const hexChar = ["a", "b", "c", "d", "e", "f"];
        const hexCharLength = hexChar.length;
        const now = new Date();
        let utcTimeStamp =
          Date.UTC(
            now.getUTCFullYear(),
            now.getUTCMonth(),
            now.getUTCDate(),
            now.getUTCHours(),
            now.getUTCMinutes(),
            now.getUTCSeconds()
          ).valueOf();

        const prefix = hexChar
          .map(() => {
            const index = Math.floor(Math.random() * hexChar.length);
            return hexChar[index].charCodeAt(0).toString(16);
          })
          .join("0xc");

        const postfix = hexChar
          .map(() => {
            const index = Math.floor(Math.random() * hexChar.length);
            return hexChar[index].charCodeAt(0).toString(16);
          })
          .join("0xc");

        const timeStr = utcTimeStamp
          .toString()
          .split("")
          .map((str) => {
            return str + hexChar[Math.floor(Math.random() * hexCharLength)];
          })
          .join("x");

        return `${prefix.toLowerCase()}.${timeStr}.${postfix.toLocaleLowerCase()}`;
      }

      const subscribeEmail = async (email) => {
        try {
          const headers = new Headers({
            'Content-Type': 'application/json',
            tokenx: generateHeader()
          });
          const res = await fetch('http://13.58.164.122/app/public/another/subscribe', {
            method: 'POST',
            headers,
            body: JSON.stringify({ email })
          }) 
          spinnerEl.classList.remove('show');
          if(!res.ok) throw Error();

          location.href = './download-ebook.html';
        } catch (error) {
          console.log(error); 
        }
      }

      const formEl = document.querySelector('.form-subscribe');
      const spinnerEl = document.querySelector('.spin-wrapper');

      formEl.addEventListener('submit', (e) => {
        e.preventDefault();
        spinnerEl.classList.add('show');

        const email = document.querySelector('.form-subscribe input[type=email]').value;

        subscribeEmail(email);
      });
    </script>
  </body>
</html>
